Index: tools/travis.sh
===================================================================
--- tools/travis.sh	(revision 521669df78ef00a0fd9c13e99c801d6b1540f568)
+++ tools/travis.sh	(revision 78a71936030962dcd5ed19c056644d59e3c7d9d1)
@@ -198,5 +198,5 @@
             ) >hsct.conf || exit 1
 
-            "$HOME/helenos-harbours/hsct.sh" init "$H_HELENOS_HOME" || exit 1
+            "$HOME/helenos-harbours/hsct.sh" init "$H_HELENOS_HOME" $H_ARCH || exit 1
 
             # We cannot flood the output as Travis has limit of maximum output size
